Skip to content
Start here

Retrieve a list of all slots matching the specified parameters

network_interconnects.slots.list(SlotListParams**kwargs) -> SlotListResponse
GET/accounts/{account_id}/cni/slots

Retrieve a list of all slots matching the specified parameters

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
account_id: str

Customer account tag

address_contains: Optional[str]

If specified, only show slots with the given text in their address field

cursor: Optional[int]
formatint32
limit: Optional[int]
minimum0
occupied: Optional[bool]

If specified, only show slots with a specific occupied/unoccupied state

site: Optional[str]

If specified, only show slots located at the given site

speed: Optional[str]

If specified, only show slots that support the given speed

ReturnsExpand Collapse
class SlotListResponse:
items: List[Item]
id: str

Slot ID

formatuuid
facility: ItemFacility
address: List[str]
name: str
occupied: bool

Whether the slot is occupied or not

site: str
speed: str
account: Optional[str]

Customer account tag

Retrieve a list of all slots matching the specified parameters

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
slots = client.network_interconnects.slots.list(
    account_id="account_id",
)
print(slots.items)
{
  "items": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "facility": {
        "address": [
          "string"
        ],
        "name": "name"
      },
      "occupied": true,
      "site": "site",
      "speed": "speed",
      "account": "account"
    }
  ],
  "next": 0
}
Returns Examples
{
  "items": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "facility": {
        "address": [
          "string"
        ],
        "name": "name"
      },
      "occupied": true,
      "site": "site",
      "speed": "speed",
      "account": "account"
    }
  ],
  "next": 0
}